package org.cesar.flip;

/**
 * FLiP's exception constants.
 * 
 * @author Andra Menezes (andrea.menezes@cesar.org.br)
 * 
 */
public interface ExceptionConstants {

	public static final int PLADAPTER_UNAVAILABLE = 0;
	public static final int CANT_OPEN_MODEL = 1;
	public static final int MALFORMED_URL = 2;
	public static final int CANT_CLOSE_MODELS = 3;
	public static final int CANT_SAVE_MODELS = 4;
	public static final int CANT_UPDATE_MODELS = 5;
	public static final int CANT_OPEN_CONFIGURATION_KNOWLEDGE = 6;
	public static final int FILE_ACCESS_FAILED = 7;
	public static final int PARSE_FAILED = 8;
	public static final int RESOURCE_DOES_NOT_EXIST = 9;
	public static final int FOCUS_ERROR = 10;
	public static final int NO_INSTANCE_DESCRIPTORS_FOUND = 11;
	public static final int TRANSFORMATION_OUTPUT_PATH_PROPERTY_NOT_SET = 12;
	public static final int ERROR_COPYING_FILES_TO_PROJECT = 12;
	public static final int ASPECT_ALREDY_USED = 13;
	public static final int INVALID_TRANSACTIONS_NUMBER = 14;
	public static final int FEATURE_ALREDY_USED =  15;
	public static final int SELECTED_PROJECT_IS_NOT_FLIP_PROJECT =  16;
	public static final int SELECTED_OBJECT_CAN_NOT_BE_PROCESSED = 17;

}
