package org.cesar.flip;

import org.eclipse.osgi.util.NLS;

/**
 * Message bundle class to the FLiP plugin.
 *
 */
public class FlipMessages extends NLS {

	private static final String BUNDLE_NAME = "org.cesar.flip.FlipMessages";

	public static String Facade_ERROR_NO_PRODUCT_INSTANCE_DESCRIPTORS;

	public static String Facade_ERROR_TRANSFORMATION_OUTPUT_PATH_NOT_SET;

	public static String Facade_FOCUS_ON_JAVA;

	public static String Facade_NO_PL_ADAPTER_INSTALLED;

	public static String Facade_RESOURCE_DOES_NOT_EXIST;

	public static String Facade_TRANSFORMING_MODELS;

	public static String flip_plugin_path;

	public static String flip_plugin_file_name;

	public static String flip_plugin_file_extension;

	public static String Facade_IS_NOT_A_FLIP_PROJECT;

	public static String Facade_INVALID_NUMBER_OF_TRANSACTIONS;

	public static String Facade_INVALID_EXPRESSION;

	public static int Facade_INVALID_CHARACTER;

	static {
		// initialize resource bundle
		NLS.initializeMessages(FlipMessages.BUNDLE_NAME, FlipMessages.class);
	}

	private FlipMessages() {
	}
}
